{% extends 'ej_conversations/base.jinja2' %}
{% set main_class = 'container-1 pad-x0' %}
{% set page_title = _('Conversation: "{}"').format(conversation.text) %}
{% set aria_flowto = 'comment-card' %}
{% set body_class = 'body theme-' + conversation.board.palette %}

{% block metaOG %}
    <meta name="description" property="og:title" content="{{ conversation.title }}">
    <meta property="og:description" content="{{ conversation.text }}">
    <meta name="twitter:title" content="{{ conversation.title }}">
{% endblock %}

{% block content %}
    <div>
        <script>
            document.addEventListener('load', function () {
                $('form').on('submit', function () {
                    $('h1').attr('aria-hidden', true)
                });
                alert('ON')
            })
        </script>
        {{ conversation|role('balloon') }}
        {% if conversation.is_hidden %}
            <div class="color-negative margin-3 pad-x3 pad-y2 rounded-3 center">
                <h2>{{ _('Warning!') }}</h2>
                <p>{% trans %}This conversation is hidden.{% endtrans %}</p>
            </div>
        {% else %}
            {# <h1 class="h2 text-accent margin-y0 center">{{ _('Comments') }}</h1>#}
            <div class="col items-center margin-y3 pad-x2" id="comment-card">
                
                {% if comment %}
                    {{ comment|role('card', target='#comment-card') }}
                    {{ conversation|role('user-progress', class='width-full', style="margin-top: 1.5rem; border: 2px solid #552F91; padding: 20px") }}
                {% else %}
                    <div class="comment-card center">
                        <article>
                            <h2 class="h3 text-accent">{{ _('Congratulations!') }}</h2>
                            <p>{{ _("There are no comments left to vote :)") }}</p>
                        </article>
                    </div>
                {% endif %}
            </div>
            <div class="col items-center margin-y3 pad-x2" id="comment-card">
                <div class="comment-card__container">
                    <h2 class="text-accent">{{ _('Suggest a new comment') }}</h2>
                    {{ conversation|role('comment-form', form=comment_form, target='.comment-area') }}
                    {{ conversation|role('create-comment') }}
                </div>
            </div>
        {% endif %}
        {{ conversation|role('detail-page-extra') }}
    </div>
	<script src="/static/js/vote-from-template.js"></script>
{% endblock %}


{% macro edit_link() %}
    <a href="{{ conversation.patch_url('conversation:edit') }}" class="bold">{{ _('here') }}</a>
{% endmacro %}
